Summary:	beforelight application - screen saver
Summary(pl.UTF-8):	Aplikacja beforelight - wygaszacz ekranu
Name:		xorg-app-beforelight
Version:	1.0.5
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/beforelight-%{version}.tar.bz2
# Source0-md5:	d587e2e64d63d0a33e7e911727f9ebd4
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The beforelight program is a sample implementation of a screen saver
for X servers supporting the MIT-SCREEN-SAVER extension.

%description -l pl.UTF-8
Program beforelight to prosta implementacja wygaszacza ekranu dla
serwerów X obsługujących rozszerzenie MIT-SCREEN-SAVER.

%prep
%setup -q -n beforelight-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/beforelight
%{_datadir}/X11/app-defaults/Beforelight
%{_mandir}/man1/beforelight.1*
%changelog
* Sun May 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-beforelight.git;a=log;h=master

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> a60bb96
- fix files
- rel 2

* Tue Jan 15 2013 Jakub Bogusz <qboosh@pld-linux.org> d0764ac
- updated to 1.0.5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 7c44e2d
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 456ba7f
- updated to 1.0.4

* Sun Sep 09 2007 Jakub Bogusz <qboosh@pld-linux.org> 186b6fb
- updated to 1.0.3
- removed obsolete DESTDIR patch

* Sun Sep 09 2007 Jakub Bogusz <qboosh@pld-linux.org> 3a7a19a
- obsolete

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1f1468f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cb708da
- converted to UTF-8

* Mon Dec 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 4fe91c6
- descs from manual

* Sat Dec 16 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d03d6e6
- new

* Sat Dec 16 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 89ca42e
- up to 1.0.2

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 79b4f91
- more verbose files

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> a4eea6f
- use individual dir, release 1

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 5f38ed6
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Tue Jan 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 0f40d6c
- 1.0.1 (X11R7.0 release)

* Thu Dec 08 2005 Jakub Bogusz <qboosh@pld-linux.org> 727d6b0
- 0.99.3 (X11R7.0-RC3)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 07d49f6
- 0.99.2 (X11R7.0-RC2)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 82df1a5
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> c70b7ad
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 31419a7
- sorted BRs

